package bazy.sqlite;

import java.math.BigDecimal;
import java.sql.Connection;
import java.sql.DriverManager;
import java.sql.PreparedStatement;
import java.sql.ResultSet;
import java.sql.SQLException;

import javax.swing.JOptionPane;

public class WypiszWybranych2 {

	public static void main(String[] args) {
		String kogoSzukac = JOptionPane.showInputDialog("Podaj job_id:");
		
		// program ma na konsolę wypisać tylko tych pracowników, którzy mają takie job_id jak podał użytkownik
		
		final String url = "jdbc:sqlite:hr.db";
		
		try(Connection c = DriverManager.getConnection(url)) {
			final String sql = "SELECT * FROM employees WHERE job_id = '"+kogoSzukac+"'";
			try(PreparedStatement stmt = c.prepareStatement(sql)) {
				try(ResultSet rs = stmt.executeQuery()) {
					
					while(rs.next()) {
						String imie = rs.getString("first_name");
						String nazwisko = rs.getString("last_name");
						String jobId = rs.getString("job_id");
						int id = rs.getInt("employee_id");
						BigDecimal pensja = rs.getBigDecimal("salary");
						
						System.out.println(imie + " " + nazwisko + " (" + jobId + ") zarabia " + pensja);
					}
				}
			}
		} catch (SQLException e) {
			e.printStackTrace();
		}

	}

}
